<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Symbol Table Diagram</TITLE>
<link href="suif1_112.html" rel=Next>
<link href="suif1_110.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_110.html">previous</A>, <A HREF="suif1_112.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC111" HREF="suif1_toc.html#TOC111">The Symbol Table Representation</A></H2>

<P>
The first diagram below illustrates the symbol table structure.  The second
shows the hierarchy of symbol tables. See section <A HREF="suif1_41.html#SEC41">Symbol Table Hierarchy</A> for
more details.

</P>
<P>
<img src="suif_symtab.gif">

<P>
<img src="suif_struct_with_symtab.gif">

<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_110.html">previous</A>, <A HREF="suif1_112.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
